org.apache.hadoop.yarn.api.protocolrecords.impl.pb

## Class GetContainersRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetContainersRequest
  - - org.apache.hadoop.yarn.api.protocolrecords.impl.pb.GetContainersRequestPBImpl

-     public class GetContainersRequestPBImpl
      extends org.apache.hadoop.yarn.api.protocolrecords.GetContainersRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetContainersRequestPBImpl()`
    `GetContainersRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetContainersRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `org.apache.hadoop.yarn.api.records.ApplicationAttemptId` | `getApplicationAttemptId()`
    `org.apache.hadoop.yarn.proto.YarnServiceProtos.GetContainersRequestProto` | `getProto()`
    `int` | `hashCode()`
    `void` | `setApplicationAttemptId(org.apache.hadoop.yarn.api.records.ApplicationAttemptId applicationAttemptId)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.GetContainersRequest

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetContainersRequestPBImpl

          public GetContainersRequestPBImpl()

    - #### GetContainersRequestPBImpl

          public GetContainersRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetContainersRequestProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServiceProtos.GetContainersRequestProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getApplicationAttemptId

          public org.apache.hadoop.yarn.api.records.ApplicationAttemptId getApplicationAttemptId()

      Specified by:
        `getApplicationAttemptId` in class `org.apache.hadoop.yarn.api.protocolrecords.GetContainersRequest`

    - #### setApplicationAttemptId

          public void setApplicationAttemptId(org.apache.hadoop.yarn.api.records.ApplicationAttemptId applicationAttemptId)

      Specified by:
        `setApplicationAttemptId` in class `org.apache.hadoop.yarn.api.protocolrecords.GetContainersRequest`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.